package com.jkcredit.invoice.common;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019/5/29 18:20 AM
 * @version: V1.0
 **/
public interface CommonConstants {

    String TOKEN_KEY = "user:token:";

    String B2B_CHARGE_KEY = "b2b:charge:";

    /**
     * 发票信息key
     */
    String NUM_FIND_INVOICE_KEY = "num:find:invoice";

    /**
     * 发票交易id key
     */
    String TRANSACTION_ID_KEY = "num:transactionId:invoice";

    /**
     * 成功
     */
    Integer SUCCESS = 1;

    /**
     * 失败
     */
    Integer ERROR = 2;

    /**
     * 自动开票
     */
    Integer AUTO_INVOICE = 1;

    /**
     * 不自动开票
     */
    Integer NOT_AUTO_INVOICE = 2;

    /**
     * 已备案
     */
    Integer ALREADY_REGISTER = 3;

    /**
     * 查询结果为空
     */
    Integer NULL = 3;

    /**
     * 未完结
     */
    Integer UNFINISHED = 1;

    /**
     * 完结
     */
    Integer FINISHED = 2;

    /**
     * 开票中
     */
    Integer INVOICE_PROCESS = 4;

    /**
     * 开票完成
     */
    Integer INVOICE_FINISHED = 3;

    /**
     * 运单错误
     */
    Integer BILL_ERROR = 9;

    /**
     * 车辆备案
     */
    Integer VEHICLE_REGISTER = 1;

    /**
     * 运单开始
     */
    Integer WAY_BILL_START = 2;

    /**
     * 运单开始
     */
    Integer WAY_BILL_END = 5;

    /**
     * 历史运单开始
     */
    Integer WAY_BILL_HISTORY_START = 3;

    /**
     * 发票查询
     */
    Integer WAY_BILL_NUM_FIND_INVOICE = 4;

    /**
     * 模板路径
     */
//    String BASE_PATH = "/Users/Administrator/Desktop/excel";
    String BASE_PATH = "/home/invoiceSrv/app/bin";

    /**
     * 打包发票下载路径
     */
    String PACKAGE_BASE_PATH = "/home/invoiceSrv/app/bin/package";

    /**
     * 模板路径
     */
    String TEMPLATE_PATH = "/classes/static/templates/excel/";

    /**
     * 备案API
     */
    String VEHICLE_REGISTER_API = "VEHICLE_REGISTER";

    /**
     * 运单开始API
     */
    String WAY_BILL_START_API = "WAY_BILL_START";

    /**
     * 运单结束API
     */
    String WAY_BILL_END_API = "WAY_BILL_END";

    /**
     * 历史运单开始API
     */
    String WAY_BILL_HISTORY_START_API = "WAY_BILL_HISTORY_START";

    /**
     * 历史运单结束API
     */
    String WAY_BILL_HISTORY_END_API = "WAY_BILL_HISTORY_END";

    /**
     * 运单号查询运单API
     */
    String WAY_BILL_NUM_FIND_INVOICE_API = "WAY_BILL_NUM_FIND_INVOICE";

    /**
     * 企业查询api
     */
    String COMPANY_QUERY_V1_API = "COMPANY_QUERY_V1";

    /**
     * 企业新增api
     */
    String COMPANY_ADD_V1_API = "COMPANY_ADD_V1";

    /**
     * 用户卡查询api
     */
    String CARD_QUERY_CARD_V1_API = "CARD_QUERY_CARD_V1";

    /**
     * 卡绑定接口api
     */
    String CARD_BINDING_V1_API = "CARD_BINDING_V1";

    /**
     * 卡验证码接口api
     */
    String CARD_VALID_CODE_V1_API = "CARD_VALID_CODE_V1";

    /**
     * 申请开票api
     */
    String B2B_INVOICE_APPLY_V1_API = "B2B_INVOICE_APPLY_V1";

    /**
     * 交易查询接口api
     */
    String CARD_TRADE_V1_API = "CARD_TRADE_V1";

    /**
     * 已开票接口api
     */
    String B2B_INVOICE_QUERY_V1_API = "B2B_INVOICE_QUERY_V1";

    /**
     * 发票打包接口api
     */
    String B2B_INVOICE_PACKAGE_V1_API = "B2B_INVOICE_PACKAGE_V1";

    /**
     * 历史运单开始运单号key
     */
    String HISTORY_NUM_KEY_START = "waybill:history:num:start:";

    /**
     * 历史运单结束运单号key
     */
    String HISTORY_NUM_KEY_END = "waybill:history:num:end:";

    /**
     * 运单结束运单号key
     */
    String NUM_KEY_END = "waybill:num:end:";

    /**
     * 运单开始运单号key
     */
    String NUM_KEY = "waybill:num:start:";

    /**
     * 运单预估结果key
     */
    String BILL_ESTIMATE_KEY = "bill:estimate:";

    /**
     * 计费队列
     */
    String CHARGE_QUEUE = "charge_queue";

    /**
     * b2b计费队列
     */
    String B2B_CHARGE_QUEUE = "b2b_charge_queue";

    /**
     * 计费交换机
     */
    String CHARGE_EXCHANGE = "charge_exchange";

    /**
     * b2b计费交换机
     */
    String B2B_CHARGE_EXCHANGE = "b2b_charge_exchange";


    /**
     * 待开票
     */
    Integer NO_TRADE_STATUS = 1;

    /**
     * 开票中
     */
    Integer IN_TRADE_STATUS = 2;

    /**
     * 开票完成
     */
    Integer FINISH_TRADE_STATUS = 2;
}
