package com.jkcredit.invoice.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.annotation.LoginRequired;
import com.jkcredit.invoice.model.entity.B2bInvoiceApply;
import com.jkcredit.invoice.model.entity.CardTrade;
import com.jkcredit.invoice.service.B2bInvoiceApplyService;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-19 14:27
 * @version: V1.0
 **/
@RestController
@RequestMapping("/b2bInvoice")
public class B2bInvoiceApplyController {

    @Autowired
    private B2bInvoiceApplyService b2bInvoiceApplyService;

    @LoginRequired
    @ApiOperation(value = "批量申请开票，入参企业编号、车牌号、开始时间、结束时间",notes = "批量申请开票，入参企业编号、车牌号、开始时间、结束时间")
    @PostMapping("/apply")
    public RespR invoiceApply(@RequestBody List<CardTrade> cardTradeList){
        return b2bInvoiceApplyService.invoiceApply(cardTradeList);
    }

    @PostMapping("/page")
    @ApiOperation(value = "查询已申请开票列表", notes = "查询已申请开票列表")
    @LoginRequired
    public RespR getB2bInvoiceApplyList(Page page, B2bInvoiceApply b2bInvoiceApply){
        return new RespR<>(b2bInvoiceApplyService.getB2bInvoiceApplyPage(page,b2bInvoiceApply));
    }
}
