package com.jkcredit.invoice.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.annotation.LoginRequired;
import com.jkcredit.invoice.model.entity.B2bInvoicePackage;
import com.jkcredit.invoice.service.B2bInvoicePackageService;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-21 10:36
 * @version: V1.0
 **/
@RestController
@RequestMapping(value = "b2bInvoicePackage")
public class B2bInvoicePackageController {

    @Autowired
    private B2bInvoicePackageService b2bInvoicePackageService;

    @LoginRequired
    @ApiOperation(value = "发票打包接口，入参企业编号、月份格式yyyy-MM-01",notes = "发票打包接口，入参企业编号、月份格式yyyy-MM-01")
    @PostMapping("/package")
    public RespR getInvoicePackage(@RequestBody B2bInvoicePackage b2bInvoicePackage){
        return b2bInvoicePackageService.getInvoicePackage(b2bInvoicePackage);
    }

    @LoginRequired
    @ApiOperation(value = "分页查询发票打包信息",notes = "分页查询发票打包信息")
    @PostMapping("/page")
    public RespR getB2bInvoicePackageList(Page page,B2bInvoicePackage b2bInvoicePackage){
        return new RespR<>(b2bInvoicePackageService.getB2bInvoicePackagePage(page,b2bInvoicePackage));
    }
}
