package com.jkcredit.invoice.controller;

import com.jkcredit.invoice.annotation.LoginRequired;
import com.jkcredit.invoice.model.entity.B2bInvoiceQuery;
import com.jkcredit.invoice.service.B2bInvoiceQueryService;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-19 17:17
 * @version: V1.0
 **/
@RestController
@RequestMapping("b2bInvoiceQuery")
public class B2bInvoiceQueryController {

    @Autowired
    private B2bInvoiceQueryService b2bInvoiceQueryService;

    /**
     * 查询已开发票
     * @param b2bInvoiceQuery
     * @return
     */
    @PostMapping("/query")
    @ApiOperation(value = "查询已开发票接口，入参企业编号、车牌号、开始时间、结束时间", notes = "查询已开发票接口，入参企业编号、车牌号、开始时间、结束时间")
    @LoginRequired
    public RespR queryInvoiceToInterface(@RequestBody B2bInvoiceQuery b2bInvoiceQuery){
        return b2bInvoiceQueryService.queryInvoiceToInterface(b2bInvoiceQuery);
    }
}
