package com.jkcredit.invoice.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.annotation.LoginRequired;
import com.jkcredit.invoice.model.entity.Batch;
import com.jkcredit.invoice.service.BatchService;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 14:02
 * @version: V1.0
 **/
@Api(tags = "批次管理")
@RestController
@RequestMapping("/batch")
public class BatchController {

    @Autowired
    private BatchService batchService;

    /**
     * 查询批次列表
     * @param page
     * @return
     */
    @PostMapping("/list")
    @ApiOperation(value = "查询批次列表", notes = "查询批次列表")
    @LoginRequired
    public RespR getBatchList(Page page, Batch batch){
        return new RespR<>(batchService.getBatchPage(page,batch));
    }


}
