package com.jkcredit.invoice.controller;

import com.jkcredit.invoice.model.entity.BillEstimate;
import com.jkcredit.invoice.model.entity.User;
import com.jkcredit.invoice.service.BillEstimateService;
import com.jkcredit.invoice.util.ReadExcelUtil;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-07-19 13:49
 * @version: V1.0
 **/
@Slf4j
@RestController
@RequestMapping("/billEstimate")
public class BillEstimateController {

    @Autowired
    private BillEstimateService billEstimateService;

    /**
     * 处理运单预估
     * @param file
     * @return
     */
    @PostMapping("/export")
    @ApiOperation(value = "导出预估运单", notes = "导出预估运单")
    public RespR billEstimateExport(@RequestParam("file") MultipartFile file, User user) {
        List<BillEstimate> list;
        try {
            list = ReadExcelUtil.readBillExcel(file, BillEstimate.class);
        } catch (Exception e) {
            log.error("预估运单读取excel失败，失败原因：{}", e.getMessage());
            return new RespR<>(Boolean.FALSE, "读取excel失败，请检查excel格式");
        }
        return billEstimateService.saveAndImport(list,user);
    }

    /**
     * 下载
     * @param response
     */
    @GetMapping("/down")
    public void down(HttpServletResponse response){
        billEstimateService.download(response);
    }
}
