package com.jkcredit.invoice.controller;

import com.jkcredit.invoice.model.entity.BillEstimate;
import com.jkcredit.invoice.model.entity.BillEstimateResult;
import com.jkcredit.invoice.service.BillEstimateResultService;
import com.jkcredit.invoice.util.ReadExcelUtil;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-07-18 17:23
 * @version: V1.0
 **/
@Slf4j
@RestController
@RequestMapping("/billEstimateResult")
public class BillEstimateResultController {

    @Autowired
    private BillEstimateResultService billEstimateResultService;

    @PostMapping("/import")
    @ApiOperation(value = "批量导入预估运单信息", notes = "批量导入预估运单信息")
    public RespR billEstimateResultImport(@RequestParam("file") MultipartFile file) {
        List<BillEstimateResult> list;
        try {
            list = ReadExcelUtil.readBillExcel(file, BillEstimateResult.class);
        } catch (Exception e) {
            log.error("预估运单读取excel失败，失败原因：{}", e.getMessage());
            return new RespR<>(Boolean.FALSE, "读取excel失败，请检查excel格式");
        }
        return billEstimateResultService.save(list);
    }
}
