package com.jkcredit.invoice.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.annotation.LoginRequired;
import com.jkcredit.invoice.model.entity.CarEtcCard;
import com.jkcredit.invoice.service.CarEtcCardService;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-17 15:54
 * @version: V1.0
 **/
@RestController
@RequestMapping(value = "carEtcCard")
public class CarEtcCardController {

    @Autowired
    private CarEtcCardService carEtcCardService;

    /**
     * 查询ETC卡列表
     * @param page
     * @return
     */
    @PostMapping("/list")
    @ApiOperation(value = "查询ETC卡列表", notes = "查询ETC卡列表")
    @LoginRequired
    public RespR getCarEtcCardList(Page page, CarEtcCard carEtcCard){
        return new RespR<>(carEtcCardService.getCarEtcCardPage(page, carEtcCard));
    }

    /**
     * 绑卡
     * @param carEtcCard
     * @param code
     * @return
     */
    @PostMapping("/bind/{code}")
    @ApiOperation(value = "绑定卡", notes = "绑定卡")
    @LoginRequired
    public RespR bindingCard(@RequestBody CarEtcCard carEtcCard, @PathVariable String code){
        return carEtcCardService.etcCardBing(carEtcCard,code);
    }

    /**
     * 发送验证码
     * @param carEtcCard
     * @return
     */
    @PostMapping("/send")
    @ApiOperation(value = "发送验证码", notes = "发送验证码")
    @LoginRequired
    public RespR sendCode(@RequestBody CarEtcCard carEtcCard){
        return carEtcCardService.sendCode(carEtcCard);
    }

    /**
     * 查询卡信息
     * @param carEtcCard
     * @return
     */
    @PostMapping("/queryCard")
    @ApiOperation(value = "查询卡信息", notes = "查询卡信息")
    @LoginRequired
    public RespR getCardListByInterface(@RequestBody CarEtcCard carEtcCard){
        return carEtcCardService.getCardListByInterface(carEtcCard);
    }
}
