package com.jkcredit.invoice.controller;

import cn.afterturn.easypoi.excel.entity.ExportParams;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.annotation.LoginRequired;
import com.jkcredit.invoice.model.entity.CarFreeCarrierRegister;
import com.jkcredit.invoice.service.CarFreeCarrierRegisterService;
import com.jkcredit.invoice.util.DownExcelTemplateUtil;
import com.jkcredit.invoice.util.ExportUtil;
import com.jkcredit.invoice.util.ReadExcelUtil;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.apache.poi.ss.usermodel.Workbook;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;


import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 14:59
 * @version: V1.0
 **/
@RestController
@RequestMapping("carFreeCarrierRegister")
@Api(tags = "无车承运人备案")
@Slf4j
public class CarFreeCarrierRegisterController {

    @Autowired
    private CarFreeCarrierRegisterService carFreeCarrierRegisterService;

    /**
     * 查询无车承运人备案列表
     * @param page
     * @return
     */
    @PostMapping("/list")
    @ApiOperation(value = "查询无车承运人备案列表", notes = "查询无车承运人备案列表")
    @LoginRequired
    public RespR getCarFreeCarrierRegisterList(Page page, CarFreeCarrierRegister carFreeCarrierRegister){
        return new RespR<>(carFreeCarrierRegisterService.getCarFreeCarrierRegisterPage(page, carFreeCarrierRegister));
    }

//    @LoginRequired
//    @PostMapping("/excel")
//    @ApiOperation(value = "批量导入备案信息", notes = "批量导入备案信息")
//    public RespR<Boolean> excel(@RequestParam("file") MultipartFile file,@RequestParam Integer userId) {
//        List<CarFreeCarrierRegister> list =ReadExcelUtil.readExcel(file,CarFreeCarrierRegister.class);
//        return carFreeCarrierRegisterService.addCarFreeCarrierRegisterList(list,userId);
//    }

    @ApiOperation(value = "下载车辆备案模板",notes = "下载车辆备案模板")
    @GetMapping("/downTemp")
    public void donwTemp(HttpServletResponse response){
        DownExcelTemplateUtil.downloadExcel(response,"车辆备案模板.xlsx");
    }

    @ApiOperation(value = "导出车辆备案列表",notes = "导出车辆备案列表")
    @GetMapping("/export")
    public void export(Integer userId, String plateNumber, String isSuccess, HttpServletResponse response) throws IOException {
        ExportUtil.exportExcel(carFreeCarrierRegisterService.exportList(userId, plateNumber, isSuccess),CarFreeCarrierRegister.class,"车辆备案列表",new ExportParams("车辆备案列表", "车辆备案列表"),response);
    }

}
