package com.jkcredit.invoice.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.annotation.LoginRequired;
import com.jkcredit.invoice.model.entity.CardTrade;
import com.jkcredit.invoice.service.CardTradeService;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-19 16:07
 * @version: V1.0
 **/
@RestController
@RequestMapping("/cardTrade")
public class CardTradeController {

    @Autowired
    private CardTradeService cardTradeService;

    /**
     * 查询交易列表
     * @param page
     * @param cardTrade
     * @return
     */
    @PostMapping("/page")
    @ApiOperation(value = "查询交易列表", notes = "查询交易列表")
    @LoginRequired
    public RespR getCardTradeList(Page page, CardTrade cardTrade){
        return new RespR<>(cardTradeService.getCardTradePage(page, cardTrade));
    }

    /**
     * 查询交易
     * @param cardTradeList
     * @return
     */
    @PostMapping("/query")
    @ApiOperation(value = "批量查询交易，入参 企业编号、车牌号、开始时间、结束时间", notes = "批量查询交易，入参 企业编号、车牌号、开始时间、结束时间")
    @LoginRequired
    public RespR queryCardTrade(@RequestBody List<CardTrade> cardTradeList){
        return cardTradeService.queryCardTrade(cardTradeList);
    }
}
