package com.jkcredit.invoice.controller;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.annotation.LoginRequired;
import com.jkcredit.invoice.model.entity.NumInvoice;
import com.jkcredit.invoice.service.NumInvoiceService;
import com.jkcredit.invoice.util.DownExcelTemplateUtil;
import com.jkcredit.invoice.util.ReadExcelUtil;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-03 17:11
 * @version: V1.0
 **/
@Api(tags = "运单查询发票")
@RestController
@Slf4j
@RequestMapping("/numInvoice")
public class NumInvoiceController {

    @Autowired
    private NumInvoiceService numInvoiceService;

//    @LoginRequired
//    @PostMapping("/excel")
//    @ApiOperation(value = "批量导入运单信息", notes = "批量导入运单信息")
//    public RespR<Boolean> numImport(@RequestParam("file") MultipartFile file, @RequestParam Integer userId) {
//        List<NumInvoice> list = ReadExcelUtil.readNumExcel(file,NumInvoice.class);
//        log.info("传入的参数是:{}", JSON.toJSONString(list));
//        return numInvoiceService.addNumList(list,userId);
//    }

    @ApiOperation(value = "下载运单查询发票模板",notes = "下载运单查询发票模板")
    @GetMapping("/downTemp")
    public void donwTemp(HttpServletResponse response){
        DownExcelTemplateUtil.downloadExcel(response,"运单查询发票模板.xlsx");
    }

    /**
     * 查询列表
     * @param page
     * @return
     */
    @PostMapping("/list")
    @ApiOperation(value = "查询列表", notes = "查询列表")
    @LoginRequired
    public RespR getInvoiceList(Page page, NumInvoice numInvoice){
        return new RespR<>(numInvoiceService.getNumInvoicePage(page,numInvoice));
    }

    /**
     * 批量开票接口
     * @param nums
     * @param userId
     * @return
     */
//    @LoginRequired
//    @PostMapping("/nums")
//    @ApiOperation(value = "批量开票接口", notes = "批量开票")
//    public RespR<Boolean> numImport(@RequestParam("nums") List<String> nums, @RequestParam Integer userId) {
//        List<NumInvoice> list = new ArrayList<>();
//        NumInvoice numInvoice;
//        for(String num :nums){
//            numInvoice = new NumInvoice();
//            numInvoice.setNum(num);
//            list.add(numInvoice);
//        }
////        log.info("传入的参数是:{}", JSON.toJSONString(list));
//        return numInvoiceService.addNumList(list,userId);
//    }
}
