package com.jkcredit.invoice.controller;

import com.jkcredit.invoice.model.entity.SearchInvoiceResult;
import com.jkcredit.invoice.service.CarFreeCarrierBillStartService;
import com.jkcredit.invoice.service.SearchInvoiceResultService;
import com.jkcredit.invoice.util.WebFileDownLoadUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

/**
 * @description: 发票打包下载
 * @author: sunzhaoning
 * @create: 2019-07-12 10:48
 * @version: V1.0
 **/
@Slf4j
@RestController
@RequestMapping("package")
@Api(tags = "发票打包下载")
public class PackageFileController {

    @Autowired
    private WebFileDownLoadUtils webFileDownLoadUtils;
    @Autowired
    private SearchInvoiceResultService searchInvoiceResultService;
    @Autowired
    private CarFreeCarrierBillStartService carFreeCarrierBillStartService;

    @GetMapping("/download")
//    @LoginRequired
    @ApiOperation(value = "打包下载接口", notes = "打包下载接口")
    public void downLoad(Integer userId, String batchNumber, Long startTime, Long endTime, String taxpayerCode,
                         String plateNum, String waybillNum, String invoiceNum,
                         HttpServletResponse response) {
        SearchInvoiceResult requestParam = new SearchInvoiceResult();
        if (userId == null) {
            return;
        } else {
            requestParam.setUserId(userId);
        }
        if (StringUtils.isNotBlank(taxpayerCode)) {
            requestParam.setTaxPlayerCode(taxpayerCode);
        }
        if (startTime != null) {
            requestParam.setStartTime(startTime);
        }
        if (endTime != null) {
            requestParam.setEndTime(endTime);
        }
        if (plateNum != null) {
            requestParam.setPlateNum(plateNum.trim());
        }
        if (waybillNum != null) {
            requestParam.setWaybillNum(waybillNum);
        }
        if (invoiceNum != null) {
            requestParam.setInvoiceNum(invoiceNum);
        }
        searchInvoiceResultService.downloadInvoiceBat(requestParam, batchNumber, response);
    }
}
