package com.jkcredit.invoice.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.annotation.LoginRequired;
import com.jkcredit.invoice.model.entity.Recharge;
import com.jkcredit.invoice.service.RechargeService;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 10:50
 * @version: V1.0
 **/
@RestController
@RequestMapping("/recharge")
@Api(tags = "充值记录")
public class RechargeController {

    @Autowired
    private RechargeService rechargeService;

    /**
     * 查询充值记录列表
     * @param page
     * @return
     */
    @PostMapping("/list")
    @ApiOperation(value = "查询充值记录列表", notes = "查询充值记录列表")
    @LoginRequired
    public RespR getRechargeList(Page page, Recharge recharge){
        return new RespR<>(rechargeService.getRechargesPage(page,recharge));
    }
}
