package com.jkcredit.invoice.controller.service;

import com.jkcredit.invoice.annotation.LoginRequired;
import com.jkcredit.invoice.model.entity.CustomerCarRec;
import com.jkcredit.invoice.model.entity.CustomerRec;
import com.jkcredit.invoice.service.LowerService;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "下游接口")
@RestController
@RequestMapping(value = {"/lowerService"})
public class LowerServiceController {
    @Autowired
    LowerService lowerService;
    /**
     * @param customerRecs
     * @return
     */
    @PostMapping("/customeRec")
    @ApiOperation(value="用户备案", notes="用户备案")
    //@LoginRequired
    public RespR customeRec(@RequestBody List<CustomerRec> customerRecs){
        return lowerService.customeRec(customerRecs);
    }
    /**
     * @param customerRec
     * @return
     */
    @PostMapping("/customeRecQueryList")
    @ApiOperation(value="用户备案列表查询", notes="用户备案列表查询")
    //@LoginRequired
    public RespR customeRecQueryList(@RequestBody CustomerRec customerRec){
        return lowerService.customeRecQueryList(customerRec);
    }
    /**
     * @param customerRec
     * @return
     */
    @PostMapping("/customeRecQuery")
    @ApiOperation(value="用户备案信息查询", notes="用户备案信息查询")
    //@LoginRequired
    public RespR customeRecQuery(@RequestBody CustomerRec customerRec){
        return lowerService.customeRecQuery(customerRec);
    }
    /**
     * @param customerCarRecs
     * @return
     */
    @PostMapping("/customerCarRec")
    @ApiOperation(value="", notes="车辆备案")
    //@LoginRequired
    public RespR customerCarRec(@RequestBody List<CustomerCarRec> customerCarRecs){
        return lowerService.customerCarRec(customerCarRecs);
    }

    /**
     * @param customerCarRec
     * @return
     */
    @PostMapping("/customerCarRecQuery")
    @ApiOperation(value="", notes="车辆备案查询")
   // @LoginRequired
    public RespR customerCarRecQuery(@RequestBody CustomerCarRec customerCarRec){
        return lowerService.customerCarRecQuery(customerCarRec);
    }

}
