package com.jkcredit.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.B2bInvoiceQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-19 16:28
 * @version: V1.0
 **/
public interface B2bInvoiceQueryMapper extends BaseMapper<B2bInvoiceQuery> {

    /**
     * 分页查询
     * @param page
     * @param b2bInvoiceQuery
     * @return
     */
    IPage<List<B2bInvoiceQuery>> getB2bInvoiceQueryPage(Page page, @Param("query") B2bInvoiceQuery b2bInvoiceQuery);

    /**
     * 根据交易id查询是否存在交易
     * @param tradeId
     * @return
     */
    List<B2bInvoiceQuery> getB2bInvoiceByTradeId(String tradeId);

    /**
     * 根据交易id删除数据
     * @param tradeId
     */
    void deleteByTradeId(String tradeId);
}
