package com.jkcredit.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.CarEtcCard;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description: etc卡mapper
 * @author: sunzhaoning
 * @create: 2019-06-17 15:07
 * @version: V1.0
 **/
public interface CarEtcCardMapper extends BaseMapper<CarEtcCard> {

    /**
     * 分页查询ETC卡列表
     * @param page
     * @param carEtcCard
     * @return
     */
    IPage<List<CarEtcCard>> getCarEtcCardPage(Page page, @Param("query") CarEtcCard carEtcCard);

    /**
     * 根据车牌号查询卡编号
     * @param plateNum
     * @return
     */
    List<CarEtcCard> getCarEtcCardByPlateNum(String plateNum);

    /**
     * 根据车牌号删除卡信息
     * @param plateNum
     */
    void deleteByPlateNum(String plateNum);
}
