package com.jkcredit.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.CarFreeCarrierBillStart;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-31 11:34
 * @version: V1.0
 **/
public interface CarFreeCarrierBillStartMapper extends BaseMapper<CarFreeCarrierBillStart> {

    /**
     * 分页查询
     * @param page
     * @param carFreeCarrierBillStart
     * @return
     */
    IPage<List<CarFreeCarrierBillStart>> getCarFreeCarrierBillStartPage(Page page, @Param("query") CarFreeCarrierBillStart carFreeCarrierBillStart);

    /**
     * 获取未开票完成列表
     * @param page
     * @param carFreeCarrierBillStart
     * @return
     */
    IPage<List<CarFreeCarrierBillStart>> getNotFinishListPage(Page page, @Param("query") CarFreeCarrierBillStart carFreeCarrierBillStart);

    /**
     * 获取开票完成列表
     * @param page
     * @param carFreeCarrierBillStart
     * @return
     */
    IPage<List<CarFreeCarrierBillStart>> getFinishListPage(Page page, @Param("query") CarFreeCarrierBillStart carFreeCarrierBillStart);

    /**
     * 更新状态
     * @param carFreeCarrierBillStart
     * @return
     */
    Boolean updateStatus(CarFreeCarrierBillStart carFreeCarrierBillStart);

    /**
     * 更新导出状态
     * @param carFreeCarrierBillStart
     * @return
     */
    Boolean updateIsExport(CarFreeCarrierBillStart carFreeCarrierBillStart);

    /**
     * 根据运单状态 查询 运单数据
     * @param status
     * @param isSuccess
     * @return
     */
    List<CarFreeCarrierBillStart> getStartBillByStatus(Integer status,Integer isSuccess,Integer isHistory);

    /**
     * 根据运单状态 查询 预估自动运单数据
     * @param status
     * @param isSuccess
     * @return
     */
    List<CarFreeCarrierBillStart> getStartBillByFlag(Integer status,Integer isSuccess,Integer isHistory,Integer autoFlag);

    /**
     * 获取成功列表
     * @param userId
     * @param isSuccess
     * @return
     */
    List<CarFreeCarrierBillStart> getCarFreeCarrierBillSuccessList(Integer userId,Integer isSuccess);

    /**
     * 根据运单号状态查询运单
     * @param num
     * @param isSuccess
     * @return
     */
    CarFreeCarrierBillStart getBillNumByNum(String num,Integer isSuccess);

    /**
     * 更新状态
     * @param carFreeCarrierBillStart
     * @return
     */
    Boolean updateStatusAndBatchId(CarFreeCarrierBillStart carFreeCarrierBillStart);

    /**
     * 根据批次ID获取运单编号
     * @param batchNumber
     * @return
     */
    List<CarFreeCarrierBillStart> getBillNumByBatchNumber(String batchNumber);

    /**
     * 根据用户id查询运单列表
     * @param userId
     * @return
     */
    List<CarFreeCarrierBillStart> getNotFinishList(Integer userId);

    /**
     * 获取自动开票运单列表
     * @return
     */
    List<CarFreeCarrierBillStart> getAutoBillList(Integer userId);

    /**
     * 根据用户id查询实时运单列表
     */
    List<CarFreeCarrierBillStart> getNotFinishRealTimeList(Integer userId);

    /**
     * 根据用户id查询历史运单列表
     */
    List<CarFreeCarrierBillStart> getNotFinishHistoryList(Integer userId);

    void updateLegacyDataFlag(String num);
}
