package com.jkcredit.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.CarFreeCarrierRegister;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 12:05
 * @version: V1.0
 **/
public interface CarFreeCarrierRegisterMapper extends BaseMapper<CarFreeCarrierRegister> {

    /**
     * 分页
     * @param page
     * @param carFreeCarrierRegister
     * @return
     */
    IPage<List<CarFreeCarrierRegister>> getCarFreeCarrierRegisterPage(Page page, @Param("query") CarFreeCarrierRegister carFreeCarrierRegister);

    /**
     * 根据用户获取用户备案列表
     * @param id
     * @return
     */
    List<CarFreeCarrierRegister> getListByUser(Integer id, String plateNumber, String isSuccess);

    /**
     * 根据车牌号车牌颜色查询备案成功车辆
     * @param carFreeCarrierRegister
     * @return
     */
    CarFreeCarrierRegister getRegisterByPlateNum(CarFreeCarrierRegister carFreeCarrierRegister);

    /**
     * 根据车牌号车牌颜色查询备案成功车辆, 返回集合
     * @param carFreeCarrierRegister
     * @return
     */
    List<CarFreeCarrierRegister> getRegisterListByPlateNum(@Param("query") CarFreeCarrierRegister carFreeCarrierRegister, Integer userId);

    /**
     * 根据车牌号查询备案车辆
     * @param carFreeCarrierRegister
     * @return
     */
    CarFreeCarrierRegister getCarRegisterByPlateNum(@Param("query") CarFreeCarrierRegister carFreeCarrierRegister);
}
