package com.jkcredit.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.Invoice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 09:14
 * @version: V1.0
 **/
public interface InvoiceMapper extends BaseMapper<Invoice> {

    /**
     * 分页查询发票列表
     * @param page
     * @param invoice
     * @return
     */
    IPage<List<Invoice>> getInvoicesPage(Page page, @Param("query") Invoice invoice);

    /**
     * 根据税号查询发票信息
     * @param dutyParagraph
     * @return
     */
    Invoice getInvoiceByDutyParagraph(String dutyParagraph);

    /**
     * 根据用户id查询发票
     * @param userId
     * @return
     */
    List<Invoice> getByUserId(Integer userId);
}
