package com.jkcredit.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.SearchInvoiceData;
import com.jkcredit.invoice.model.entity.SearchInvoiceResult;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SearchInvoiceResultMapper extends BaseMapper<SearchInvoiceResult> {

    /**
     * 分页查询
     * @param page
     * @param searchInvoiceResult
     * @return
     */
    IPage<SearchInvoiceResult> getSearchInvoiceResultPage(Page page, @Param("query") SearchInvoiceResult searchInvoiceResult,@Param("batchNumber") String batchNumber);

    /**
     * 分页查询流水
     * @param page
     * @param id
     * @return
     */
    IPage<List<SearchInvoiceResult>> getDailyBilling(Page page,@Param("userId") Integer id);

    /**
     * 根据交易id删除
     * @param transactionId
     */
    void deleteByTransactionId(String transactionId);

    /**
     * 根据用户id 运单号查询列表
     * @param userId
     * @param waybillNum
     * @return
     */
    List<SearchInvoiceResult> getInvoiceList(Integer userId,String waybillNum,String batchNumber,Long startTime,Long endTime, String taxPlayerCode);

    /**
     * 查询统计发票数据
     * @param searchInvoiceResult
     * @return
     */
    SearchInvoiceResult statisticsData(@Param("query") SearchInvoiceResult searchInvoiceResult,@Param("batchNumber") String batchNumber);

    /**
     * 根据transactionId查发票
     * @param transactionId
     * @return
     */
    List<SearchInvoiceResult> getNumInvoiceByTransactionId(String transactionId);

    /**
     * 根据发票代码 发票号码查询发票
     * @param invoiceNum
     * @param invoiceCode
     * @return
     */
    List<SearchInvoiceResult> getInvoiceByInvoiceNum(String invoiceNum, String invoiceCode);

    /**
     * 根据条件获取发票及下载地址列表
     * @param searchInvoiceResult
     * @param batchNumber
     * @return
     */
    List<SearchInvoiceResult> getInvoiceUrlList(@Param("query")SearchInvoiceResult searchInvoiceResult,@Param("batchNumber") String batchNumber);
}
