package com.jkcredit.invoice.model.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-31 10:24
 * @version: V1.0
 **/
@Data
public class CarFreeCarrierBillVo implements Serializable {

    private static final long serialVersionUID = 4158547178363230855L;
    /**
     * 运单编号
     */
    @Excel(name = "运单编号")
    @NotNull
    @ApiModelProperty(value = "运单编号")
    private String num;
    /**
     * 车牌号
     */
    @Excel(name = "车牌号码")
    @ApiModelProperty(value = "车牌号码")
    private String plateNumber;

    /**
     * 车牌颜色
     */
    @Excel(name = "车牌颜色")
    @ApiModelProperty(value = "车牌颜色")
    private String plateColor;

    /**
     * 运单开始时间
     */
    @Excel(name = "运单开始时间",format="yyyy-MM-dd HH:mm:ss",databaseFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "运单开始时间")
    private Date startTime;

    /**
     * 运单开始地址
     */
    @Excel(name = "运单开始地址")
    @ApiModelProperty(value = "运单开始地址")
    private String sourceAddr;

    /**
     * 运单目的地址
     */
    @Excel(name = "运单目的地址")
    @ApiModelProperty(value = "运单目的地址")
    private String destAddr;

    /**
     * 运单预计完成时间
     */
    @Excel(name = "运单预计完成时间",format="yyyy-MM-dd HH:mm:ss",databaseFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "运单预计完成时间")
    private Date endTime;

    /**
     * 运单费用
     */
    @Excel(name = "运单费用")
    @ApiModelProperty(value = "运单费用")
    private BigDecimal fee;

    /**
     * 发票抬头类型
     */
    @ApiModelProperty(value = "发票抬头类型")
    private Integer titleType;

    /**
     * 税号
     */
    @Excel(name = "税号")
    @ApiModelProperty(value = "税号")
    private String taxPlayerCode;

    /**
     * 发票抬头名称
     */
    @ApiModelProperty(value = "发票抬头名称")
    private String name;

    /**
     * 单位地址
     */
    @ApiModelProperty(value = "单位地址")
    private String address;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String tel;

    /**
     * 开户行
     */
    @ApiModelProperty(value = "开户行")
    private String bank;

    /**
     * 开户行账号
     */
    @ApiModelProperty(value = "开户行账号")
    private String bankAccount;

    /**
     * 开票时长
     */
    @ApiModelProperty(value = "开票时长")
    private Integer invoiceTime;

    /**
     * 是否自动开票标记
     */
    private Integer autoFlag;
}
