package com.jkcredit.invoice.producer;

import com.jkcredit.invoice.common.CommonConstants;
import com.jkcredit.invoice.model.entity.User;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-04 13:47
 * @version: V1.0
 **/
@Slf4j
//@Component
public class ChargeProducer implements RabbitTemplate.ReturnCallback {

    @Autowired
    private RabbitTemplate rabbitTemplate;

    public void send(User user) {
        this.rabbitTemplate.setReturnCallback(this);
        this.rabbitTemplate.setConfirmCallback((correlationData, ack, cause) -> {
            if (!ack) {
                log.info("消息发送失败:{},{}" , cause , correlationData.toString());
            }
        });
        this.rabbitTemplate.convertAndSend(CommonConstants.CHARGE_EXCHANGE, "charge.*", user);
    }

    @Override
    public void returnedMessage(Message message, int replyCode, String replyText, String exchange, String routingKey) {
//        System.out.println("sender return success" + message.toString() + "===" + replyText + "===" + exchange + "===" + routingKey);
    }
}
