package com.jkcredit.invoice.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.CarEtcCard;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-17 14:19
 * @version: V1.0
 **/

public interface CarEtcCardService extends IService<CarEtcCard> {

    /**
     * 卡号绑定
     *
     * @param carEtcCard
     * @param code
     * @return
     */
    RespR etcCardBing(CarEtcCard carEtcCard, String code);

    /**
     * 发送验证码
     *
     * @param carEtcCard
     * @return
     */
    RespR sendCode(CarEtcCard carEtcCard);

    /**
     * 分页查询卡信息
     * @param page
     * @param carEtcCard
     * @return
     */
    IPage getCarEtcCardPage(Page page, CarEtcCard carEtcCard);

    /**
     * 根据车牌号查询卡id
     * @param plateNum
     * @return
     */
    List<CarEtcCard> getCarEtcCardByPlateNum(String plateNum);

    /**
     * 查询卡列表
     * @param carEtcCard
     * @return
     */
    RespR getCardListByInterface(CarEtcCard carEtcCard);

}
