package com.jkcredit.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.CarFreeCarrierBillStart;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-31 11:35
 * @version: V1.0
 **/
public interface CarFreeCarrierBillStartService extends IService<CarFreeCarrierBillStart> {

    /**
     * 分页查询
     * @param page
     * @param carFreeCarrierBillStart
     * @return
     */
    IPage getCarFreeCarrierBillStartPage(Page page, CarFreeCarrierBillStart carFreeCarrierBillStart);

    /**
     * 更新运单状态
     * @param num
     * @param status
     * @return
     */
    RespR<Boolean> updateStatus(String num,Integer status);

    /**
     * 根据 状态查询运单数据
     * @param status
     * @param isSuccess
     * @return
     */
    List<CarFreeCarrierBillStart> getStartBillByStatus(Integer status, Integer isSuccess,Integer isHistory);

    /**
     * 根据 状态查询预估自动运单数据
     * @param status
     * @param isSuccess
     * @return
     */
    List<CarFreeCarrierBillStart> getStartBillByFlag(Integer status, Integer isSuccess,Integer isHistory,Integer autoFlag);

    /**
     * 导出成功列表
     * @param userId
     * @param isSuccess
     * @return
     */
    List<CarFreeCarrierBillStart> getCarFreeCarrierBillSuccessList(Integer userId,Integer isSuccess);

    /**
     * 根据运单号状态查询运单
     * @param num
     * @param isSuccess
     * @return
     */
    CarFreeCarrierBillStart getBillNumByNum(String num,Integer isSuccess);

    /**
     * 根据状态 批次号 修改状态
     * @param num
     * @param status
     * @param batchId
     * @return
     */
    RespR<Boolean> updateStatusAndBatchId(String num,Integer status,String batchId);

    /**
     * 更新导出状态
     * @param num
     * @param isExport
     * @return
     */
    RespR<Boolean> updateIsExport(String num,Integer isExport);

    /**
     * 分页查询未开票完成列表
     * @param page
     * @param carFreeCarrierBillStart
     * @return
     */
    IPage getNotFinishListPage(Page page, CarFreeCarrierBillStart carFreeCarrierBillStart);

    /**
     * 分页查询 开票完成列表
     * @param page
     * @param carFreeCarrierBillStart
     * @return
     */
    IPage getFinishListPage(Page page, CarFreeCarrierBillStart carFreeCarrierBillStart);

    /**
     * 根据批次ID获取运单编号
     * @param batchNumber
     * @return
     */
    List<CarFreeCarrierBillStart> getBillNumByBatchNumber(String batchNumber);

    /**
     * 根据用户id查询运单列表
     * @param userId
     * @return
     */
    List<CarFreeCarrierBillStart> getNotFinishList(Integer userId);

    /**
     * 获取自动开票运单列表
     * @param  userId
     * @return
     */
    List<CarFreeCarrierBillStart> getAutoBillList(Integer userId);

    /**
     * 根据用户id查询实时运单列表
     * @param userId
     * @return
     */
    List<CarFreeCarrierBillStart> getNotFinishRealTimeList(Integer userId);

    /**
     * 根据用户id查询历史运单列表
     * @param userId
     * @return
     */
    List<CarFreeCarrierBillStart> getNotFinishHistoryList(Integer userId);

    /**
     * 更新是否遗留数据标记（此标记仅使用一次）
     * @param num
     * @return
     */
    void updateLegacyDataFlag(String num);
}
