package com.jkcredit.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.CarFreeCarrierRegister;
import com.jkcredit.invoice.util.RespR;
import org.apache.poi.ss.usermodel.Workbook;

import java.util.List;
import java.util.Map;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 14:56
 * @version: V1.0
 **/
public interface CarFreeCarrierRegisterService extends IService<CarFreeCarrierRegister> {

    /**
     * 获取备案列表
     * @param page
     * @param carFreeCarrierRegister
     * @return
     */
    IPage getCarFreeCarrierRegisterPage(Page page, CarFreeCarrierRegister carFreeCarrierRegister);

    /**
     * 插入备案信息
     * @param list
     * @param userId
     * @return
     */
    Map<String, String> addCarFreeCarrierRegisterList(List<CarFreeCarrierRegister> list, Integer userId);

    /**
     * 导出列表
     * @param id
     * @return
     */
    List<CarFreeCarrierRegister> exportList(Integer id, String plateNumber, String isSuccess);

    /**
     * 插入
     * @param carFreeCarrierRegister
     * @return
     */
    Integer insert(CarFreeCarrierRegister carFreeCarrierRegister);

    /**
     * 根据车牌号车牌颜色查询备案成功车辆
     * @param carFreeCarrierRegister
     * @return
     */
    List<CarFreeCarrierRegister> getRegisterByPlateNum(CarFreeCarrierRegister carFreeCarrierRegister, Integer userId);

    /**
     * 根据车牌号车牌颜色查询备案成功车辆
     * @param plateNumber
     * @param plateColor
     * @return
     */
    CarFreeCarrierRegister getRegisterBySuccessPlateNum(String plateNumber, String plateColor, Integer userId);
}
