package com.jkcredit.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.CardTrade;
import com.jkcredit.invoice.util.RespR;

import java.util.List;


/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-19 10:17
 * @version: V1.0
 **/
public interface CardTradeService extends IService<CardTrade> {

    /**
     * 分页查询
     *
     * @param page
     * @param cardTrade
     * @return
     */
    IPage getCardTradePage(Page page, CardTrade cardTrade);

    /**
     * 更新状态
     *
     * @param id
     * @param status
     * @return
     */
    RespR<Boolean> updateStatus(Integer id, Integer status);

    /**
     * 查询交易信息
     * @param cardTradeList
     * @return
     */
    RespR queryCardTrade(List<CardTrade> cardTradeList);

    /**
     * 获取交易编号列表
     * @param cardTrade
     * @return
     */
    List<CardTrade> getTradeIdList(CardTrade cardTrade);
}