package com.jkcredit.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.Customer;
import com.jkcredit.invoice.model.entity.CustomerRec;
import com.jkcredit.invoice.model.entity.CustomerRecharge;

import java.util.List;

/**
 * 客户操作接口
 */
public interface CustomerService extends IService<Customer>{
    /**
     * 查找所有客户
     * @param page
     * @param customer
     * @return
     */
    IPage findAllCustomers(Page page, Customer customer);

    /**
     * 查找所有客户
     * @param customer
     * @return
     */
    Boolean addCustomers(Customer customer);

    /**
     * 修改用户状态
     * @param customer
     * @return
     */
    Boolean updateCustomer(Customer customer);

    /**
     * 账号充值
     * @param customerRecharge
     * @return
     */
    Boolean customRecharge(CustomerRecharge customerRecharge);
}
