package com.jkcredit.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.Invoice;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 09:15
 * @version: V1.0
 **/
public interface InvoiceService extends IService<Invoice> {

    /**
     * 分页查询发票信息
     * @param page
     * @param invoice
     * @return
     */
    IPage getInvoicesPage(Page page, Invoice invoice);

    /**
     * 根据税号查询发票信息
     * @param dutyParagraph
     * @return
     */
    Invoice getInvoiceByDutyParagraph(String dutyParagraph);

    /**
     * 根据用户ID查询发票
     * @param userId
     * @return
     */
    List<Invoice> getByUserId(Integer userId);

    /**
     * 新增发票信息
     * @param invoice
     * @return
     */
    RespR saveInvoice(Invoice invoice);


}
