package com.jkcredit.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.SearchInvoiceResult;
import com.jkcredit.invoice.model.vo.SearchInvoiceResultVo;
import org.apache.poi.ss.usermodel.Workbook;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface SearchInvoiceResultService extends IService<SearchInvoiceResult> {

    IPage getSearchInvoiceResultPage(Page page, SearchInvoiceResult searchInvoiceResult,String batchNumber);

    /**
     * 分页查询流水
     * @param page
     * @param id
     * @return
     */
    IPage getDailyBilling(Page page,Integer id);


    /**
     * 根据交易id删除
     * @param transactionId
     */
    void deleteByTransactionId(String transactionId);

    /**
     * 根据运单号用户编号导出列表
     * @param userId
     * @param num
     * @return
     */
    List<SearchInvoiceResultVo> getInvoiceList(Integer userId, String num,String batchNumber,Long startTime,Long endTime);

    /**
     * 根据用户 运单号 批次号 开始时间结束时间导出列表
     * @param userId
     * @param num
     * @param batchNumber
     * @param startTime
     * @param endTime
     * @return
     */
    Workbook exportExcelToTemplate(Integer userId, String num,String batchNumber,Long startTime,Long endTime);
    /**
     * 查询统计发票数据
     * @param searchInvoiceResult
     * @return
     */
    SearchInvoiceResult statisticsData(SearchInvoiceResult searchInvoiceResult,String batchNumber);

    /**
     * 根据transactionId查找发票
     * @param transactionId
     * @return
     */
    List<SearchInvoiceResult> getNumInvoiceByTransactionId(String transactionId);

    /**
     * 根据发票号码发票代码查询发票
     * @param invoiceNum
     * @param invoiceCode
     * @return
     */
    List<SearchInvoiceResult> getInvoiceByInvoiceNum(String invoiceNum, String invoiceCode);

    /**
     * 下载发票脚本
     * @param searchInvoiceResult
     * @param batchNumber
     * @return
     */
    void downloadInvoiceBat(SearchInvoiceResult searchInvoiceResult,String batchNumber, HttpServletResponse response);
}
