package com.jkcredit.invoice.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.model.entity.Batch;
import com.jkcredit.invoice.mapper.BatchMapper;
import com.jkcredit.invoice.model.entity.User;
import com.jkcredit.invoice.service.BatchService;
import org.springframework.stereotype.Service;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 13:58
 * @version: V1.0
 **/
@Service
public class BatchServiceImpl extends ServiceImpl<BatchMapper, Batch> implements BatchService {

    @Override
    public IPage getBatchPage(Page page, Batch batch) {
        return baseMapper.getBatchPage(page,batch);
    }

    @Override
    public Boolean saveBatch(String id,String batchNumber,Integer type,User user) {
        Batch batch = new Batch();
        batch.setId(id);
        batch.setBatchNumber(batchNumber);
        batch.setType(type);
        batch.setCreateTime(System.currentTimeMillis());
        batch.setUserId(user.getId());
        batch.setUserCompany(user.getCompany());
        batch.setUserPhone(user.getPhone());
        batch.setUserName(user.getUserName());
        return this.save(batch);
    }
}
