package com.jkcredit.invoice.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.common.CommonConstants;
import com.jkcredit.invoice.mapper.CarFreeCarrierBillStartMapper;
import com.jkcredit.invoice.model.entity.CarFreeCarrierBillStart;
import com.jkcredit.invoice.service.CarFreeCarrierBillStartService;
import com.jkcredit.invoice.util.RespR;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-31 11:35
 * @version: V1.0
 **/
@Service
public class CarFreeCarrierBillStartServiceImpl extends ServiceImpl<CarFreeCarrierBillStartMapper, CarFreeCarrierBillStart> implements CarFreeCarrierBillStartService {

    @Override
    public IPage getCarFreeCarrierBillStartPage(Page page, CarFreeCarrierBillStart carFreeCarrierBillStart) {
        String res;
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        //运单上传时间开始时间转换
        if(carFreeCarrierBillStart.getBillStartTime()!=null && !"".equals(carFreeCarrierBillStart.getBillStartTime())){
            long startTime= new Long(carFreeCarrierBillStart.getBillStartTime());
            Date date = new Date(startTime);
            carFreeCarrierBillStart.setBillStartTime(simpleDateFormat.format(date));
        }
        //运单开始时间结束时间转换
        if(carFreeCarrierBillStart.getBillEndTime()!=null && !"".equals(carFreeCarrierBillStart.getBillEndTime())){
            long endTime= new Long(carFreeCarrierBillStart.getBillEndTime());
            Date date = new Date(endTime);
            carFreeCarrierBillStart.setBillEndTime(simpleDateFormat.format(date));
        }

        return baseMapper.getCarFreeCarrierBillStartPage(page, carFreeCarrierBillStart);
    }

    @Override
    public RespR<Boolean> updateStatus(String num,Integer status) {
        CarFreeCarrierBillStart carFreeCarrierBillStart = new CarFreeCarrierBillStart();
        carFreeCarrierBillStart.setStatus(status);
        carFreeCarrierBillStart.setNum(num);
        carFreeCarrierBillStart.setIsSuccess(CommonConstants.SUCCESS);
        return new RespR<>(baseMapper.updateStatus(carFreeCarrierBillStart));
    }

    @Override
    public List<CarFreeCarrierBillStart> getStartBillByStatus(Integer status, Integer isSuccess,Integer isHistory) {
        return baseMapper.getStartBillByStatus(status,isSuccess,isHistory);
    }

    @Override
    public List<CarFreeCarrierBillStart> getStartBillByFlag(Integer status, Integer isSuccess, Integer isHistory, Integer autoFlag) {
        return baseMapper.getStartBillByFlag(status,isSuccess,isHistory,autoFlag);
    }

    @Override
    public List<CarFreeCarrierBillStart> getCarFreeCarrierBillSuccessList(Integer userId, Integer isSuccess) {
        return baseMapper.getCarFreeCarrierBillSuccessList(userId, isSuccess);
    }

    @Override
    public CarFreeCarrierBillStart getBillNumByNum(String num, Integer isSuccess) {
        return baseMapper.getBillNumByNum(num, isSuccess);
    }

    @Override
    public RespR<Boolean> updateStatusAndBatchId(String num, Integer status, String batchId) {
        CarFreeCarrierBillStart carFreeCarrierBillStart = new CarFreeCarrierBillStart();
        carFreeCarrierBillStart.setStatus(status);
        carFreeCarrierBillStart.setNum(num);
        carFreeCarrierBillStart.setBatchId(batchId);
        return new RespR<>(baseMapper.updateStatusAndBatchId(carFreeCarrierBillStart));
    }

    @Override
    public RespR<Boolean> updateIsExport(String num, Integer isExport) {
        CarFreeCarrierBillStart carFreeCarrierBillStart = new CarFreeCarrierBillStart();
        carFreeCarrierBillStart.setIsExport(isExport);
        carFreeCarrierBillStart.setNum(num);
        return new RespR<>(baseMapper.updateIsExport(carFreeCarrierBillStart));
    }

    @Override
    public IPage getNotFinishListPage(Page page, CarFreeCarrierBillStart carFreeCarrierBillStart) {
        return baseMapper.getNotFinishListPage(page,carFreeCarrierBillStart);
    }

    @Override
    public IPage getFinishListPage(Page page, CarFreeCarrierBillStart carFreeCarrierBillStart) {
        return baseMapper.getFinishListPage(page,carFreeCarrierBillStart);
    }

    @Override
    public List<CarFreeCarrierBillStart> getBillNumByBatchNumber(String batchNumber) {
        return baseMapper.getBillNumByBatchNumber(batchNumber);
    }

    @Override
    public List<CarFreeCarrierBillStart> getNotFinishList(Integer userId) {
        return baseMapper.getNotFinishList(userId);
    }

    @Override
    public List<CarFreeCarrierBillStart> getAutoBillList(Integer userId) {
        return baseMapper.getAutoBillList(userId);
    }

    @Override
    public List<CarFreeCarrierBillStart> getNotFinishRealTimeList(Integer userId) {
        return baseMapper.getNotFinishRealTimeList(userId);
    }

    @Override
    public List<CarFreeCarrierBillStart> getNotFinishHistoryList(Integer userId) {
        return baseMapper.getNotFinishHistoryList(userId);
    }

    @Override
    public void updateLegacyDataFlag(String num) {
        baseMapper.updateLegacyDataFlag(num);
    }
}

