package com.jkcredit.invoice.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.CustomerMapper;
import com.jkcredit.invoice.mapper.CustomerRechargeMapper;
import com.jkcredit.invoice.model.entity.Customer;
import com.jkcredit.invoice.model.entity.CustomerRec;
import com.jkcredit.invoice.model.entity.CustomerRecharge;
import com.jkcredit.invoice.service.CustomerService;
import com.jkcredit.invoice.util.DateUtil;
import com.jkcredit.invoice.util.MathUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service("customerService")
public class CustomerServiceImpl extends ServiceImpl<CustomerMapper,Customer> implements CustomerService{
    @Autowired
    CustomerMapper customerMapper;

    @Autowired
    CustomerRechargeMapper customerRechargeMapper;

    @Override
    public IPage findAllCustomers(Page page, Customer customer) {
        return baseMapper.selectAllByPage(page,customer);
    }

    @Override
    public Boolean addCustomers(Customer customer) {
        customer.setFirstSign(DateUtil.getCurrentDateStr());
        if(customerMapper.selectByCustomerName(customer.getCustomerName())!=null){
            return false;
        };
        return customerMapper.insert(customer)>0;
    }

    @Override
    public Boolean updateCustomer(Customer customer) {
       return  customerMapper.updateByPrimaryKeySelective(customer)>0;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public Boolean customRecharge(CustomerRecharge customerRecharge) {
        Customer customer = customerMapper.selectByCustomerName(customerRecharge.getCustomerName());
        customer.setAccountBalance(MathUtil.add(customer.getAccountBalance(),customerRecharge.getRechargeMony()));
        customerMapper.updateByPrimaryKeySelective(customer);
        customerRecharge.setRechargeTime(DateUtil.getCurrentDateStr());
        customerRechargeMapper.insert(customerRecharge);
        return true;
    }
}
