package com.jkcredit.invoice.service.impl;

import com.jkcredit.invoice.mapper.CustomerCarRecMapper;
import com.jkcredit.invoice.mapper.CustomerMapper;
import com.jkcredit.invoice.mapper.CustomerRecMapper;
import com.jkcredit.invoice.model.entity.Customer;
import com.jkcredit.invoice.model.entity.CustomerCarRec;
import com.jkcredit.invoice.model.entity.CustomerRec;
import com.jkcredit.invoice.service.LowerService;
import com.jkcredit.invoice.util.DateUtil;
import com.jkcredit.invoice.util.RespR;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.text.DateFormat;
import java.util.List;

@Service("lowerService")
public class LowerServiceImpl implements LowerService{
    @Autowired
    CustomerMapper customerMapper;

    @Autowired
    CustomerRecMapper customerRecMapper;

    @Autowired
    CustomerCarRecMapper customerCarRecMapper;
    @Override
    public RespR customeRec(List<CustomerRec> customerRecs) {
        if(customerRecs==null || customerRecs.size()<=0){return new RespR(false,"备案信息为空");};
        StringBuffer res = new StringBuffer();
        customerRecs.stream().forEach(customerRec -> {
            Customer customer = customerMapper.selectByCustomerName(customerRec.getCustomerName());
            if(customer == null || customer.getAccstatus()!=0){
                res.append(customerRec.getCustomerName()+"不存在或已经停用");
                return;
            }
            //默认备案状态为备案中 0 -备案中 1.备案失败 2.备案完成
            customerRec.setRecStatus(0);
            //客户备案信息入表
            CustomerRec customerRec1 = customerRecMapper.selectByCustomerNameAndCompany(customerRec);
            customerRec.setCreatetime(DateUtil.getCurrentDateStr());
            customerRec.setCompanyBelongName(customerRec.getCompanyName());
            if(customerRec1 == null){
                customerRecMapper.insert(customerRec);
            }else{
                customerRec.setId(customerRec1.getId());
                customerRecMapper.updateByPrimaryKey(customerRec);
            }
        });
        return new RespR(true,res.toString());
    }

    @Override
    public RespR customeRecQueryList(CustomerRec customerRec) {

        return new RespR(customerRecMapper.selectByCustomerName(customerRec.getCustomerName()));
    }
    @Override
    public RespR customeRecQuery(CustomerRec customerRec) {

        return new RespR(customerRecMapper.selectByCustomerNameAndCompany(customerRec));
    }
    @Override
    public RespR customerCarRec(List<CustomerCarRec> customerCarRecs) {
        if(customerCarRecs== null || customerCarRecs.size()<=0){
            return new RespR(false,"无备案车辆");
        }
        StringBuffer res = new StringBuffer();
        for(CustomerCarRec customerCarRec:customerCarRecs){
            Customer customer = customerMapper.selectByCustomerName(customerCarRec.getCustomerName());
            if(customer == null || customer.getAccstatus()!=0){
                res.append("#客户："+customerCarRec.getCustomerName()+"不存在或状态异常");
                break;
            }
            CustomerRec customerRecP = new CustomerRec();
            customerRecP.setCustomerName(customerCarRec.getCustomerName());
            customerRecP.setCompanyName(customerCarRec.getCompanyName());
            CustomerRec customerRec = customerRecMapper.selectByCustomerNameAndCompany(customerRecP);
            if(customerRec == null){
                res.append("#客户："+customerCarRec.getCustomerName()+"企业:"+customerCarRec.getCompanyName()+"备案信息不存在");
                continue;
            }
            if(!customerRec.getBussinessType().equals(customerCarRec.getBusinessType())){
                res.append("#客户："+customerCarRec.getCustomerName()+"企业:"+customerCarRec.getCompanyName()+"车辆:"+customerCarRec.getCarNum()+"业务类型错误");
                continue;
            }
            //根据车牌号查询是新增还是更新
            CustomerCarRec customerCarRec1 = customerCarRecMapper.selectByCarNum(customerCarRec.getCarNum());
            customerCarRec.setRecStatus(0);
            customerCarRec.setFailTime(DateUtil.getCurrentDateStr());
            if(customerCarRec1 == null ){
                customerCarRecMapper.insert(customerCarRec);
            }else{
                customerCarRecMapper.updateByPrimaryKey(customerCarRec);
            }
        }


        //CustomerCarRec customerCarRec1 = customerCarRecMapper.selectByPrimaryKey(customerCarRec.getCustomerName());
       /* customerCarRec.setRecStatus(0); //0-备案中 1-备案成功 2-备案失败
        customerCarRec.setFailTime(DateUtil.getCurrentDateStr());
        customerCarRecMapper.insert(customerCarRec);
        *//*if(customerCarRec1 == null){
            customerCarRecMapper.insert(customerCarRec);
        }else{
            customerCarRecMapper.updateByPrimaryKey(customerCarRec);
        }*/
        return new RespR(res.toString());
    }

    @Override
    public RespR customerCarRecQuery(CustomerCarRec customerCarRec) {

        return new RespR(customerCarRecMapper.selectByCustName(customerCarRec.getCustomerName()));
    }

}
